services:
  social_auth.user_manager:
    class: Drupal\social_auth\SocialAuthUserManager
    arguments:
      - '@config.factory'
      - '@logger.factory'
      - '@event_dispatcher'
      - '@entity_type.manager'
      - '@entity_field.manager'
      - '@token'
      - '@transliteration'
      - '@language_manager'
      - '@router.route_provider'
      - '@entity.query'
      - '@current_user'
      - '@social_auth.social_auth_data_handler'

  social_auth.social_auth_data_handler:
    class: Drupal\social_auth\SocialAuthDataHandler
    arguments:
      - '@session'
